!(function($,_){
	var __ = {
			width:148,
			height:26,
			editable:false
	};


	if (_.datagrid){
		_.datagrid.defaults.loadMsg = '正在加载,请稍等...';
		_.datagrid.defaults.pagination = true;
		_.datagrid.defaults.border = false;
		_.datagrid.defaults.striped = false;
		_.datagrid.defaults.nowrap = true;
		_.datagrid.defaults.fit = true;
		_.datagrid.defaults.pageSize = 20;
		_.datagrid.defaults.pageNumber = 0;
		_.datagrid.defaults.fitColumns = false;
		_.datagrid.defaults.rownumbers = false;
		_.datagrid.defaults.pageList = [10, 20, 30, 50, 80, 100,200];
		_.datagrid.defaults.singleSelect = true;
	}

	if (_.pagination){
		_.pagination.defaults.beforePageText = '';
		_.pagination.defaults.afterPageText = '';
		_.pagination.defaults.displayMsg = ' 共{total}条 , 显示 {from} - {to}条';
		_.pagination.defaults.layout=[ 'list','first', 'prev', 'links', 'next', 'last' ];
	}

	if (_.treegrid && _.datagrid){
		_.treegrid.defaults.loadMsg = _.datagrid.defaults.loadMsg;
	}
	if ($.messager){
		$.messager.defaults.ok = '确定';
		$.messager.defaults.cancel = '取消';
	}
	if (_.validatebox){
		_.validatebox.defaults.missingMessage = '该输入项为必输项';
		_.validatebox.defaults.rules.email.message = '请输入有效的电子邮件地址';
		_.validatebox.defaults.rules.url.message = '请输入有效的URL地址';
		_.validatebox.defaults.rules.length.message = '输入内容长度必须介于{0}和{1}之间';
		_.validatebox.defaults.rules.remote.message = '请修正该字段';
	}
	if (_.numberbox){
		_.numberbox.defaults.missingMessage = '该输入项为必输项';
		_.numberbox.defaults.width 	= __.width;
		_.numberbox.defaults.height 	= __.height;
	}
	if (_.timespinner){
		_.timespinner.defaults.width 	= __.width;
		_.timespinner.defaults.height 	= __.height;
	}
	if (_.searchbox){
		_.searchbox.defaults.width 	= __.width;
		_.searchbox.defaults.height 	= __.height;
	}
	if (_.textbox){
		_.textbox.defaults.width 	= __.width;
		_.textbox.defaults.height 	= __.height;
		_.textbox.defaults.ok = '确定';
		_.textbox.defaults.cancel = '取消';
		_.textbox.defaults.close = '关闭';
		_.textbox.defaults.clear = '清空';
	}

	if (_.combobox){
		_.combobox.defaults.missingMessage 	= '该输入项为必输项';
		_.combobox.defaults.panelHeight 	= 'auto';
		_.combobox.defaults.panelWidth 		= 148;
		_.combobox.defaults.width 			= __.width;
		_.combobox.defaults.height 			= __.height;
		_.combobox.defaults.editable 		= __.editable;
		
	}

	if (_.datetimebox){
		_.datetimebox.defaults.missingMessage = '该输入项为必输项';
		_.datetimebox.defaults.width 	= __.width;
		_.datetimebox.defaults.height 	= __.height;
		_.datetimebox.defaults.editable = __.editable;
	}
	if (_.combotree){
		_.combotree.defaults.missingMessage = '该输入项为必输项';
		_.combotree.defaults.width 	= __.width;
		_.combotree.defaults.height = __.height;
		_.combotree.defaults.lines 	= false;
		_.combotree.defaults.animate = false;
		_.combotree.defaults.multiple = false;
		_.combotree.defaults.border 	= false;
	}
	if (_.combogrid){
		_.combogrid.defaults.missingMessage = '该输入项为必输项';
		_.combogrid.defaults.width 	= __.width;
		_.combogrid.defaults.height 	= __.height;
	}
	if (_.calendar){
		_.calendar.defaults.weeks = ['日','一','二','三','四','五','六'];
		_.calendar.defaults.months = ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'];
	}
	if (_.datebox){
		_.datebox.defaults.width 	= __.width;
		_.datebox.defaults.height 	= __.height;
		_.datebox.defaults.currentText = '今天';
		_.datebox.defaults.closeText = '关闭';
		_.datebox.defaults.okText = '确定';
		_.datebox.defaults.missingMessage = '该输入项为必输项';
		_.datebox.defaults.formatter = function(date){
			var y = date.getFullYear();
			var m = date.getMonth()+1;
			var d = date.getDate();
			return y+'-'+(m<10?('0'+m):m)+'-'+(d<10?('0'+d):d);
		};
		_.datebox.defaults.parser = function(s){
			if (!s) return new Date();
			var ss = s.split('-');
			var y = parseInt(ss[0],10);
			var m = parseInt(ss[1],10);
			var d = parseInt(ss[2],10);
			if (!isNaN(y) && !isNaN(m) && !isNaN(d)){
				return new Date(y,m-1,d);
			} else {
				return new Date();
			}
		};
	}
	if (_.datetimebox && _.datebox){
		$.extend(_.datetimebox.defaults,{
			currentText: _.datebox.defaults.currentText,
			closeText: _.datebox.defaults.closeText,
			okText: _.datebox.defaults.okText,
			missingMessage: _.datebox.defaults.missingMessage
		});
	}
	if (_.datetimespinner){
		_.datetimespinner.defaults.width 	= __.width;
		_.datetimespinner.defaults.height 	= __.height;
		_.datetimespinner.defaults.selections = [[0,4],[5,7],[8,10],[11,13],[14,16],[17,19]]
	}
})(jQuery,jQuery.fn);
